#
# spec file for package gconf2 (Version 2.4.0.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  atk atk-devel bonobo-activation bonobo-activation-devel docbook-dsssl-stylesheets docbook-toys docbook-xsl-stylesheets docbook_3 docbook_4 expat freetype2 freetype2-devel glib2 glib2-devel gpp gtk2 gtk2-devel gtkdoc indent iso_ent libgpp libidl libidl-devel libxml2 libxml2-devel libxslt linc linc-devel openjade opensp openssl openssl-devel orbit2 orbit2-devel pango pango-devel pkgconfig popt sgml-skel x-devel-packages xmlcharent

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils docbook-dsssl-stylesheets docbook-toys docbook-xsl-stylesheets docbook_3 docbook_4 expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel gtkdoc indent iso_ent libidl libidl-devel libstdc++-devel libtool libxml2 libxml2-devel libxslt linc linc-devel openjade opensp openssl-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt-devel rpm sgml-skel xmlcharent

Name:         gconf2
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:      GPL, LGPL
Group:        System/GUI/GNOME
%if %suse_version > 800
PreReq:       %fillup_prereq %insserv_prereq /bin/mkdir /bin/mv /bin/rm /bin/rmdir /bin/ln
%endif
Autoreqprov:  on
Version:      2.4.0.1
Release:      148.1
Summary:      The GNOME 2.x Desktop Configuration Database System
Source:       ftp://ftp.gnome.org/pub/gnome/sources/GConf/2.4/GConf-%{version}.tar.bz2
Source1:      gconftool-rebuild
Patch:        GConf-%{version}.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is the development version of GConf, the GNOME configuration
database. It is used by the GNOME 2.x Desktop platform.



Authors:
--------
    Havoc Pennington <hp@redhat.com>

%package devel
Summary:      Include Files and Libraries mandatory for Development.
Group:        Development/Libraries/GNOME
Requires:     %name = %{version}
Requires:     orbit2-devel
Requires:     glib2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Havoc Pennington <hp@redhat.com>

%package doc
Summary:      The GNOME 2.x Desktop Configuration Database System
Group:        System/GUI/GNOME
Requires:     %name = %{version}

%description doc
This is the development version of GConf, the GNOME configuration
database. It is used by the GNOME 2.x Desktop platform.



Authors:
--------
    Havoc Pennington <hp@redhat.com>

%prep
%setup -q -n GConf-%{version}
%patch
cp -a %{S:1} .

%build
%{suse_update_config}
libtoolize --force
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
 ./configure --prefix=%{prefix} \
	--libdir=%{prefix}/%_lib \
	--libexecdir=%{prefix}/%_lib/GConf/2 \
	--sysconfdir=%{sysconfdir}
make -s

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Empty dir for schemas.
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/gconf/schemas
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/gconf/gconf.xml.defaults
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/gconf/gconf.xml.mandatory
install gconftool-rebuild $RPM_BUILD_ROOT%{prefix}/bin

%post
%run_ldconfig
# Remove obsolete files and directories from old gconf version.
rm -rf\
 /etc/sysconfig/gconf2\
 /etc/opt/gnome/gconf/preconf\
 /etc/opt/gnome/gconf/schema-install-source\
 /etc/opt/gnome/gconf/su

%postun 
%run_ldconfig
# No other gconf instance exist and schemas directory, too.
# FIXME: If this package will be renamed to gconf and upgraded from <=9.0,
# the directory /etc/opt/gnome/gconf will be deleted by mistake.
if test $1 = 0 -a ! -d etc/opt/gnome/gconf/schemas ; then
    rm -rf etc/opt/gnome/gconf/gconf.xml.defaults
    rm -rf etc/opt/gnome/gconf/gconf.xml.mandatory
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{sysconfdir}/gconf
%dir %{sysconfdir}/gconf/schemas
%dir %{sysconfdir}/gconf/gconf.xml.defaults
%dir %{sysconfdir}/gconf/gconf.xml.mandatory
%config %{sysconfdir}/gconf/2
%{prefix}/bin/*
%{prefix}/%_lib/libgconf-2*.so*
%dir %{prefix}/%_lib/GConf
%dir %{prefix}/%_lib/GConf/2
%{prefix}/%_lib/GConf/2/*.so*
%{prefix}/%_lib/GConf/2/*-2
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/share/sgml/gconf

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/*.a
%{prefix}/%_lib/*.la
%{prefix}/%_lib/GConf/2/*.a
%{prefix}/%_lib/GConf/2/*.la
%{prefix}/include/gconf
%{prefix}/share/aclocal/*.m4
%{prefix}/%_lib/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/*

%changelog -n gconf2
* Tue Mar 30 2004 - sbrabec@suse.cz
- Fixed typos in gconftool-rebuild.
- Support for /usr/local in gconftool-rebuild.
* Wed Mar 17 2004 - sbrabec@suse.cz
- Removed pre-purge one-time action from %%post - now integrated to
  yast2-update (#36196, #33114).
* Thu Mar 11 2004 - sbrabec@suse.cz
- Removed obsolete SuSEconfig.gconf2 (#33114).
- Fixed %%postun to allow future rename of package.
- Added support for one-time rebuild of old schemas in %%post.
* Fri Jan 09 2004 - schwab@suse.de
- Fix quoting in autoconf macros.
* Thu Nov 20 2003 - hhetter@suse.de
- don't use fillup -i anymore
* Thu Nov 13 2003 - sbrabec@suse.cz
- Implemented " all " schemas installation to work around 9.0 %%postun
  lost files (bug #33078) and to remove orphan gconf files (bug #33114).
- Install all schemas to all directories and predefined simple gconf2
  default path.
- Implemented SuSeconfig.gconf2 entries installer (for default panel).
* Tue Nov 11 2003 - sbrabec@suse.cz
- Updated gconf2 path.
- Fixed %%postun.
* Mon Oct 06 2003 - sbrabec@suse.cz
- Updated to version 2.4.0.1.
* Fri Sep 26 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Sep 08 2003 - sbrabec@suse.cz
- Updated %%postun - remove files generated by SuSEconfig.
* Tue Sep 02 2003 - mmj@suse.de
- Add sysconfig metadata [#28876]
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul 09 2003 - sbrabec@suse.cz
- Call libtoolize and autoreconf (required for amd64).
* Wed Jun 18 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.
- Fixed directory packaging.
- Generate and package docs.
- Prefix clash fix.
- Fixed fillup.
* Mon May 26 2003 - coolo@suse.de
- run ldconfig in %%postun
* Mon Apr 14 2003 - sbrabec@suse.cz
- Require orbit2-devel, not ORBit2-devel for devel package.
* Wed Feb 26 2003 - sbrabec@suse.cz
- FHS fix (bug #24353).
* Wed Jan 29 2003 - hhetter@suse.de
- updated to 2.2.0 release
* Wed Jan 22 2003 - ke@suse.de
- Add sysconfig metadata; reported by Ladislav Slezak [# 22643].
* Wed Jan 15 2003 - sbrabec@suse.cz
- Added expat to neededforbuild.
* Wed Jan 15 2003 - hhetter@suse.de
- updated to version 2.1.90
- filelist fix
* Mon Sep 02 2002 - hhetter@suse.de
- allow updating every new schemas files except it is
  already provided in preconfiguration (Bug Id#18707)
- surpress warnings from older schemas files (Bug Id#18570)
* Tue Aug 20 2002 - hhetter@suse.de
- added prereqs
* Fri Aug 09 2002 - kukuk@suse.de
- Add openssl to neededforbuild
* Thu Aug 08 2002 - hhetter@suse.de
- run gconf2-initial after the normal schema
  copying procedure, to ensure schemas are available
  ( Bug Id# 17437)
* Wed Aug 07 2002 - hhetter@suse.de
- updated to version 1.2.1
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Wed Jul 10 2002 - hhetter@suse.de
- provide correct default path for dist <= 7.3
- rebuild the database if the gconf2-initial flag is touched
- reduce verbosity level
- create gconf.xml.mandatory if it does not exist
- some cleanups
* Wed Jul 10 2002 - hhetter@suse.de
- fix install path for dist <= 7.3
* Fri Jul 05 2002 - hhetter@suse.de
- fix default strings
* Fri Jul 05 2002 - hhetter@suse.de
- maintain three default configuration sources (root,user,orig.
  GNOME) on dist >= 8.0
- configuration source switchable via sysconfig
* Fri Jun 28 2002 - hhetter@suse.de
- fix require name=%%{ver} for devel package
* Thu Jun 20 2002 - hhetter@suse.de
- create gconf.xml.defaults if it does not exist
  (needed by a single GNOME2 installation)
* Thu Jun 20 2002 - hhetter@suse.de
- fix gconf path
- include schema-install-source to force schema installation
  location
* Fri Jun 14 2002 - hhetter@suse.de
- correctly set configuration source
* Thu Jun 13 2002 - hhetter@suse.de
- use gconf1 database as gconf2 source to enable upgrades
  without config loss
- supply a correct path-file
- set gconf2 configuration source in SuSEconfig script
* Wed Jun 12 2002 - hhetter@suse.de
- updated to version 1.2.0
- SuSEconfig.gconf2 ensures correct schema registration
  in the gconf database
* Tue Jun 04 2002 - hhetter@suse.de
- updated to 1.1.11, source frozen
- remove db patch, this backend is not needed
* Wed May 22 2002 - meissner@suse.de
- moved aclocal m4 file where it belongs.
* Tue May 14 2002 - ro@suse.de
- fix filelist
* Tue May 14 2002 - ro@suse.de
- use libdir
* Tue Apr 09 2002 - hhetter@suse.de
- build with DB depending on SuSE version
- updated to version 1.1.9 [gnome desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- patched to build with db4.0
- build the db backend
* Thu Jan 31 2002 - hhetter@suse.de
- updated to version 1.1.6 [gnome desktop alpha2]
* Thu Jan 17 2002 - hhetter@suse.de
- finally move gconftool back into main package,
  it is needed at runtime
* Thu Jan 17 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Tue Jan 15 2002 - hhetter@suse.de
- gconftool now moved into devel package
* Mon Jan 14 2002 - hhetter@suse.de
- remove the link to gconftool-2, will be fixed in
  the GNOME session scripts, depending on the desktop
  version being loaded
* Fri Jan 11 2002 - hhetter@suse.de
- added freetype2/-devel to #neededforbuild
* Tue Jan 08 2002 - hhetter@suse.de
- initial SuSE Release for GNOME 2.0 platform
- use newer version instead of the broken 1.1.1
- install pkconfig files in correct place
